curl --request POST \
--url https://api.example.com/v1/projects/{projectId}/nodes \
--header 'Content-Type: application/json' \
--data '
{
"nodes": [
{
"id": "<string>",
"nodeType": "<string>",
"title": "<string>",
"structuredData": {},
"positionX": 123,
"positionY": 123,
"width": 123,
"height": 123,
"collapsed": true
}
]
}
'Create or update up to 100 nodes in a single request.
curl --request POST \
--url https://api.example.com/v1/projects/{projectId}/nodes \
--header 'Content-Type: application/json' \
--data '
{
"nodes": [
{
"id": "<string>",
"nodeType": "<string>",
"title": "<string>",
"structuredData": {},
"positionX": 123,
"positionY": 123,
"width": 123,
"height": 123,
"collapsed": true
}
]
}
'Show Node input
feature, data-model, user-flow).curl -X POST https://api.getkommit.ai/v1/projects/a1b2c3d4-e5f6-7890-abcd-ef1234567890/nodes \
-H "Authorization: Bearer km_your_api_key" \
-H "Content-Type: application/json" \
-d '{
"nodes": [
{
"nodeType": "feature",
"title": "Billing dashboard",
"structuredData": {
"description": "Show subscription status and invoices",
"priority": "medium"
},
"positionX": 400,
"positionY": 100,
"width": 280,
"height": 180
}
]
}'
Was this page helpful?